ApplicationDisplayMode (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.update
Class ApplicationDisplayMode

    java.lang.Object
      com.install4j.api.update.ApplicationDisplayMode

    public class ApplicationDisplayMode

extends java.lang.Object

Enumeration class that represents the different display modes. These values are used as an argument for `UpdateChecker.getUpdateDescriptor(String, ApplicationDisplayMode)`.

Author:
  ej-technologies GmbH

Field Summary
`static ApplicationDisplayMode` | `CONSOLE` The invoking application runs on the command line.
`static ApplicationDisplayMode` | `GUI` The invoking application runs with a Swing GUI.
`static ApplicationDisplayMode` | `UNATTENDED` The invoking application does not take user input from a GUI or on the command line.

Method Summary
`static ApplicationDisplayMode` | `getFromIntValue(int overwrite)` Convert int value to constant.
`int` | `getIntValue()` Convert to an int value.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GUI

    public static final ApplicationDisplayMode GUI

  The invoking application runs with a Swing GUI. Displaying a proxy dialog is acceptable.

### CONSOLE

    public static final ApplicationDisplayMode CONSOLE

  The invoking application runs on the command line. Asking for proxy information on the command line is acceptable.

### UNATTENDED

    public static final ApplicationDisplayMode UNATTENDED

  The invoking application does not take user input from a GUI or on the command line. Proxy information cannot be supplied by the user.

Method Detail

### getIntValue

    public int getIntValue()

  Convert to an int value.

  Returns:
    the int value

### getFromIntValue

    public static ApplicationDisplayMode getFromIntValue(int overwrite)

  Convert int value to constant.

  Parameters:
    `overwrite` - the int value
  Returns:
    the constant

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD